18 января 2015

Выпуск драйвера NVIDIA 346.35 для Linux

Компания NVIDIA представила новый выпуск проприетарного драйвера NVIDIA 346.35 для Linux. Это первый стабильный релиз новой LTS-ветки с длительным сроком поддержки.

Основные особенности NVIDIA 346.35:

  Добавлена поддержка следующих GPU:

    GeForce 800A
    GeForce 800M
    GeForce GTX 970M
    GeForce GTX 980M

  Добавлена поддержка X.org xserver ABI 19 (xorg-server 1.17).
  Улучшена совместимость с последними ядрами Linux 3.17 и 3.18.
  Управление напряжением питания на GPU семейства GeForce GTX 400 и более новых.
  Ускорение установки драйвера, благодаря многопоточной сборке модуля ядра.

Более подробную информацию на русском языке можно посмотреть на официальной странице NVIDIA: Особенности выпуска.

 Примечание. Перед загрузкой и установкой нового драйвера, убедитесь, что ваша система оснащена поддерживаемым NVIDIA GPU. Вы также можете использовать автоматическое сканирование обратитесь в раздел Драйверы на вебсайте NVIDIA, чтобы найти последние драйверы для своего NVIDIA GPU.
Как определить и установить правильную версию драйвера для вашей видеокарты Nvidia в Ubuntu/Linux Mint можно посмотреть на ЭТОЙ странице. Иначе после установки драйвера NVIDIA 346.35 вы рискуете не запустить систему.

Установка драйвера NVIDIA 346.35 в Ubuntu и производные

Откройте терминал, скопируйте и выполните следующие команды:

sudo add-apt-repository ppa:xorg-edgers/ppa
sudo apt-get update
sudo apt-get install nvidia-346

По окончании установки перезагрузите компьютер, чтобы задействовать установленный драйвер.

 После нового входа в систему проверьте установленный драйвер  графической утилитой NVIDIA X Server Settings, поиском в меню, либо в терминале командой:

glxinfo | grep OpenGL

Удаление драйвера NVIDIA 346.35

Если по какой-то причине новый драйвер должным образом не работает, откройте терминал (Ctrl+Alt+T), скопируйте и выполните следующие команды на удаление драйвера и репозитория:

sudo apt-get install ppa-purge 
sudo ppa-purge ppa:xorg-edgers/ppa 
sudo reboot

Источник: http://www.nvidia.com/

Удачи.

30 комментариев :

  1. статьи про драйвер нвидиа выходят регулярно,
    а про каталист уже два года не было. Несправедливо... :(

    ОтветитьУдалить
    Ответы
    1. =статьи про каталист уже два года не было. Несправедливо...= Возможно несправедливо, но причина такова, что у меня нет железяки с видеокартой AMD, чтобы проверить. Написать статью конечно можно, но как ответить/помочь потом, в случае возникновения вопросов?

      Удалить
  2. Как показывает практика, чем меньше трогаешь драйвера, тем дольше работает система)))

    ОтветитьУдалить
  3. Сам драйвер вышел еще 16 числа, я его поставил вчера, полет нормальный!

    ОтветитьУдалить
  4. Этот комментарий был удален автором.

    ОтветитьУдалить
  5. на 346 еще с бета.... улучшения заметны на глаз))

    ОтветитьУдалить
  6. Володя, поправь опечатку с номером версии в команде установки :)

    ОтветитьУдалить
    Ответы
    1. Владимир, можно ли Вас попросить осветить решение одной проблемы? (связана с двумя мониторами и mint mate)

      Удалить
    2. Да попросить-то можно, но вот выполнить сложнее, т.к. у меня один монитор, а статьи я пишу, как правило, после собственных экспериментов. Думаю Вам лучше погуглить на эту тему.

      Удалить
    3. Артур, у меня Cinnamon рушился при установке режима separate x-screens.
      Решене нашел, увы, только одно - снес эту мяту к такой-то матери и забыл как дурной сон.

      Удалить
  7. Кернел 3.18.3, обновилось с беты - работает без нареканий ;)

    ОтветитьУдалить
  8. а перед установкой nvidia-346, nvidia-331 удалять надо?

    ОтветитьУдалить
    Ответы
    1. Необязательно. Во время установки nvidia-346,будет удалён nvidia-331.

      Удалить
  9. Никак не могу установить эти дрова. Пишет: Removing nvidia-340 (340.65-0ubuntu1~xedgers14.04.1) ...
    stop: Unknown job: nvidia-persistenced
    userdel: user nvidia-persistenced is currently used by process 1428
    dpkg: error processing package nvidia-340 (--remove):
    подпроцесс установлен сценарий post-removal возвратил код ошибки 8
    При обработке следующих пакетов произошли ошибки:
    nvidia-340
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    ОтветитьУдалить
    Ответы
    1. Было такое, помогла перезагрузка ОС. А затѣмъ нужно было удалить старый драйверъ черезъ Synaptic, напримѣръ, и уже потомъ установить обновленную версію.

      Удалить
  10. У меня почему-то никакие дрова кроме 340 не работают. Каждый раз пробую, потом возвращаю все на место. Это, конечно, полезно с точки зрения тренировки скорости перехода от черного экрана до рабочего состояния :)

    ОтветитьУдалить
  11. Сломал Юнити и разрешение экрана

    ОтветитьУдалить
  12. Ответы
    1. "Улучшена совместимость с последними ядрами Linux 3.17 и 3.18" о чём вам говорит? УЛУЧШЕНА. Это не одно и тоже что СОВМЕСТИМ.

      Удалить
  13. Устанавливая софт из левых реп всегда надо быть готовым к "квадратам Малевича", отвливанию того или иного софта и прочим неприятностям. Ставьте софт из официальных реп и будет вам счастье.

    ОтветитьУдалить
  14. Установил - четыре пустых экрана на мониторе. Пришлось откатываться.
    Что-то постоянно мне с видюхой не везёт. :( Сижу на 331.113.
    Ubuntu 14.04, 3.18.3 generic, Dell inspiron 7720

    ОтветитьУдалить
  15. Помогите... Очень долго все работало на 340 дровах с этого репа, но потом после перезагрузки черный экран(перезагружался редко) Поставил заново и поставил новые дрова, после перезагрузки опять черный экран... Требуется помощь

    ОтветитьУдалить
    Ответы
    1. Сейчас после каких то махинаций, есть x server nvidia но дров нет...

      Удалить
  16. Всем привет. У меня такая проблема: после установки драйвера nvidia 340 в Ubuntu 14.04, у меня появились мерцания на экране (при просмотре страниц firefox, в центре приложений тоже, в терминале).Как бороться с этим? Заранее спасибо!

    ОтветитьУдалить
    Ответы
    1. Кирилл, здесь инструкция, как исправить мерцания Firefox: http://compizomania.blogspot.com/2014/10/firefox-ubuntu-1404-nvidia.html

      Удалить
    2. Спасибо, помогло. Кстати, можно добавить на ваш сайт скрипт sgfxi. На Ubuntu он работает.

      Удалить
  17. При установке nvidia-346 на elementary с ядром 3.19.2 система не загружается, приходится запускаться со старым ядром и удалять пакет nvidia-346. Как можно решить эту проблему?

    ОтветитьУдалить